# Uses of Interface
java.awt.image.renderable.RenderableImage

Packages that use RenderableImage
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image.renderable
Provides classes and interfaces for producing rendering-independent images.

## Uses of RenderableImage in java.awt

Methods in java.awt with parameters of type RenderableImage
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`drawRenderableImage(RenderableImage img, AffineTransform xform)`
Renders a `RenderableImage`, applying a transform from image space into user space before drawing.

## Uses of RenderableImage in java.awt.image.renderable

Classes in java.awt.image.renderable that implement RenderableImage
Modifier and Type
Class
Description
`class`
`RenderableImageOp`
This class handles the renderable aspects of an operation with help from its associated instance of a ContextualRenderedImageFactory.
Methods in java.awt.image.renderable that return RenderableImage
Modifier and Type
Method
Description
`RenderableImage`
ParameterBlock.`getRenderableSource(int index)`
Returns a source as a RenderableImage.
Methods in java.awt.image.renderable that return types with arguments of type RenderableImage
Modifier and Type
Method
Description
`Vector<RenderableImage>`
RenderableImage.`getSources()`
Returns a vector of RenderableImages that are the sources of image data for this RenderableImage.
`Vector<RenderableImage>`
RenderableImageOp.`getSources()`
Returns a vector of RenderableImages that are the sources of image data for this RenderableImage.
Methods in java.awt.image.renderable with parameters of type RenderableImage
Modifier and Type
Method
Description
`RenderContext`
ContextualRenderedImageFactory.`mapRenderContext(int i, RenderContext renderContext, ParameterBlock paramBlock, RenderableImage image)`
Maps the operation's output RenderContext into a RenderContext for each of the operation's sources.
Constructors in java.awt.image.renderable with parameters of type RenderableImage
Modifier
Constructor
Description
``
`RenderableImageProducer(RenderableImage rdblImage, RenderContext rc)`
Constructs a new RenderableImageProducer from a RenderableImage and a RenderContext.